// Based on NASA LSPN-1725 (Comet P/Halley as taken March 8, 1986 by W. Liller, Easter Island)
s0.initImage("/home/pln/Work/Hydra/StarryNights/img/halley.png");
src(s0).out(o0)
src(o0)
  .modulate(src(o0),() => Math.sin(time/200) / 10)
.out(o1)
src(o1)
  .modulateScale(osc(1,0.4),0.05)
.out(o2)
src(o2)
  .blend(src(o2).thresh(), () => 0.5 + 0.125 * Math.sin(time / 100 % 180))
  .scale(0.989)
.out(o3)
render(o3)
